EndpointException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.endpoint.EndpointException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.endpoint
Class EndpointException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.endpoint.EndpointException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EndpointNotFoundException, MalformedEndpointException, NoReceiverForEndpointException, TransformerException, TransportFactoryException

    public class EndpointException

extends MuleException

`EndpointException` is an abstract exception extended by endpoint specific exceptions.

See Also:
  Serialized Form

Constructor Summary
`EndpointException(Message message)`
`EndpointException(Message message, Throwable cause)`
`EndpointException(Throwable cause)`

Method Summary

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EndpointException

    public EndpointException(Message message)

Parameters:
  `message` - the exception message

### EndpointException

    public EndpointException(Message message,
                             Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown

### EndpointException

    public EndpointException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.